lv.lumii.layoutengine.universalLayout

## Class BoxInGrid

- java.lang.Object
- - lv.lumii.layoutengine.universalLayout.BoxInGrid

-     public class BoxInGrid
      extends java.lang.Object

  Class that represents box used in UniversalLayoutAlgorithm.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `AbstractContainer` | `box` Container that represents the same box as BoxInGrid object.
    `int` | `boxesPlace` Place in array boxes[].
    `int` | `gridCol` Number of column taken by box.
    `int` | `gridRow` Number of row taken by box.
    `double` | `hor` Original size of the box.
    `boolean` | `inGrid` Variable is true if at the moment box is putted to grid[][] array.
    `java.util.ArrayList<Line>` | `lines` Stores all lines that are connected to box.
    `int` | `nH` Horizontal and vertical size that box is taking in grid.
    `int` | `nV` Horizontal and vertical size that box is taking in grid.
    `int` | `posInOpt` Position in QuadraticOptimization array.
    `double` | `vert` Original size of the box.
    `int` | `x` Coordinates of left-top corner of BoxInGrin in grid[][] array.
    `double` | `xd` x-double and y-double.
    `int` | `y` Coordinates of left-top corner of BoxInGrin in grid[][] array.
    `double` | `yd` x-double and y-double.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BoxInGrid(AbstractContainer box1)` Constructor.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### box

          public AbstractContainer box

      Container that represents the same box as BoxInGrid object.

    - #### x

          public int x

      Coordinates of left-top corner of BoxInGrin in grid[][] array.

    - #### y

          public int y

      Coordinates of left-top corner of BoxInGrin in grid[][] array.

    - #### xd

          public double xd

      x-double and y-double. These coordinates are used to not move real boxes.

    - #### yd

          public double yd

      x-double and y-double. These coordinates are used to not move real boxes.

    - #### nH

          public int nH

      Horizontal and vertical size that box is taking in grid. nH-horizontal. nV- vertical

    - #### nV

          public int nV

      Horizontal and vertical size that box is taking in grid. nH-horizontal. nV- vertical

    - #### hor

          public double hor

      Original size of the box.

    - #### vert

          public double vert

      Original size of the box.

    - #### boxesPlace

          public int boxesPlace

      Place in array boxes[].

    - #### posInOpt

          public int posInOpt

      Position in QuadraticOptimization array.

    - #### inGrid

          public boolean inGrid

      Variable is true if at the moment box is putted to grid[][] array.

    - #### lines

          public java.util.ArrayList<Line> lines

      Stores all lines that are connected to box.

    - #### gridRow

          public int gridRow

      Number of row taken by box.

    - #### gridCol

          public int gridCol

      Number of column taken by box.

  - ### Constructor Detail

    - #### BoxInGrid

          public BoxInGrid(AbstractContainer box1)

      Constructor.
      Parameters:
        `box1` - Container object that represents the same box as BoxInGrid object.